package cn.iocoder.yudao.module.rescue.mapper;


import cn.iocoder.yudao.module.rescue.domain.WxRescueInfo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 救援信息Mapper接口
 * 
 * @author ruoyi
 * @date 2023-08-30
 */
@Mapper
public interface WxRescueInfoMapper 
{
    /**
     * 查询救援信息
     * 
     * @param id 救援信息主键
     * @return 救援信息
     */
    public WxRescueInfo selectWxRescueInfoById(Long id);

    /**
     * 查询救援信息列表
     * 
     * @param wxRescueInfo 救援信息
     * @return 救援信息集合
     */
    public List<WxRescueInfo> selectWxRescueInfoList(WxRescueInfo wxRescueInfo);

    /**
     * 新增救援信息
     * 
     * @param wxRescueInfo 救援信息
     * @return 结果
     */
    public int insertWxRescueInfo(WxRescueInfo wxRescueInfo);

    /**
     * 修改救援信息
     * 
     * @param wxRescueInfo 救援信息
     * @return 结果
     */
    public int updateWxRescueInfo(WxRescueInfo wxRescueInfo);

    /**
     * 删除救援信息
     * 
     * @param id 救援信息主键
     * @return 结果
     */
    public int deleteWxRescueInfoById(Long id);

    /**
     * 批量删除救援信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteWxRescueInfoByIds(Long[] ids);
}
